Serious security issues with DCMTK? - DICOM

This is a discussion on Serious security issues with DCMTK? - DICOM ; Hi, I've noticed that the latest version of DCMTK is linked against libpng-1.2.5 and openssl-0.9.7d. From their web sites it appears that these versions of the libraries have security issues, does this mean that DCMTK software that has not been ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: Serious security issues with DCMTK?

  1. Serious security issues with DCMTK?

    Hi,

    I've noticed that the latest version of DCMTK is linked against
    libpng-1.2.5 and openssl-0.9.7d. From their web sites it appears that
    these versions of the libraries have security issues, does this mean
    that DCMTK software that has not been updated will also be vulnerable?

    The relevant security warnings are on these pages:
    http://www.libpng.org/pub/png/libpng.html
    http://www.openssl.org/

    Cheers,
    Marcus

  2. Re: Serious security issues with DCMTK?

    Marcus wrote:
    > I've noticed that the latest version of DCMTK is linked against
    > libpng-1.2.5 and openssl-0.9.7d.


    Please post DCMTK related questions to the DCMTK discussion forum at
    http://forum.dcmtk.org/
    Due to popular request we have moved all DCMTK support from this
    newsgroup to that forum.

    Regards,
    Marco Eichelberg
    DCMTK maintainer

+ Reply to Thread